tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule<Stanza>
  - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule

- All Implemented Interfaces:
    ContextAware, InitializingModule, XmppModule

      public class MucModule
      extends AbstractStanzaModule<Stanza>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MucModule.DirectInvitation`
    `class` | `MucModule.Invitation`
    `static interface` | `MucModule.InvitationDeclinedHandler`
    `static interface` | `MucModule.InvitationReceivedHandler`
    `static interface` | `MucModule.JoinRequestedHandler`
    `class` | `MucModule.MediatedInvitation`
    `static interface` | `MucModule.MessageErrorHandler`
    `static interface` | `MucModule.MucMessageReceivedHandler`
    `static interface` | `MucModule.NewRoomCreatedHandler`
    `static interface` | `MucModule.OccupantChangedNickHandler`
    `static interface` | `MucModule.OccupantChangedPresenceHandler`
    `static interface` | `MucModule.OccupantComesHandler`
    `static interface` | `MucModule.OccupantLeavedHandler`
    `static interface` | `MucModule.PresenceErrorHandler`
    `static interface` | `MucModule.RoomClosedHandler` Local instance of Chat Room was closed because of, for example, presence error.
    `static class` | `MucModule.RoomConfgurationAsyncCallback`
    `static interface` | `MucModule.StateChangeHandler`
    `static interface` | `MucModule.YouJoinedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OWNER_XMLNS`
    `static Integer` | `STATUS_NEW_NICKNAME`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `context, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MucModule()`
    `MucModule(AbstractRoomsManager cm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeRegister()` Called just before registration module in XmppModulesManager .
    `protected boolean` | `checkElement(Element element)`
    `void` | `declineInvitation(MucModule.Invitation invitation, String reasonMsg)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `Room` | `getRoom(BareJID roomJid)`
    `void` | `getRoomConfiguration(Room room, AsyncCallback asyncCallback)`
    `Collection<Room>` | `getRooms()`
    `void` | `invite(Room room, JID inviteeJID, String reason)` Sends mediated invitation.
    `void` | `inviteDirectly(Room room, JID inviteeJID, String reason, String threadId)`
    `Room` | `join(MucModule.Invitation invitation, String nickname)`
    `Room` | `join(String roomName, String mucServer, String nickname)`
    `Room` | `join(String roomName, String mucServer, String nickname, String password)`
    `void` | `leave(Room room)`
    `protected void` | `onConnectorStateChanged(SessionObject sessionObject, Connector.State oldState, Connector.State newState)`
    `protected void` | `onNetworkDisconnected()`
    `protected void` | `onSessionObjectCleared(SessionObject sessionObject, Set<SessionObject.Scope> scopes)`
    `void` | `process(Stanza element)` Method for processing incoming stanza.
    `protected void` | `processDirectInvitationMessage(Message message)`
    `protected void` | `processInvitationDeclinedMessage(Message message)`
    `protected void` | `processMediatedInvitationMessage(Message message)`
    `protected void` | `processMessage(Message message)`
    `protected void` | `processPresence(Presence element)`
    `void` | `setRoomConfiguration(Room room, JabberDataElement configuration, AsyncCallback asyncCallback)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.AbstractStanzaModule

      `afterRegister, beforeUnregister, fireEvent, getFirstChild, process, setContext, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OWNER_XMLNS

          public static final String OWNER_XMLNS

      See Also:
        Constant Field Values

    - #### STATUS_NEW_NICKNAME

          public static final Integer STATUS_NEW_NICKNAME

  - ### Constructor Detail

    - #### MucModule

          public MucModule()

    - #### MucModule

          public MucModule(AbstractRoomsManager cm)

  - ### Method Detail

    - #### beforeRegister

          public void beforeRegister()

      Description copied from interface: `InitializingModule`
      Called just before registration module in XmppModulesManager . It is good place to check if module is initialized properly.
      Specified by:
        `beforeRegister` in interface `InitializingModule`
      Overrides:
        `beforeRegister` in class `AbstractStanzaModule<Stanza>`

    - #### checkElement

          protected boolean checkElement(Element element)
                                  throws XMLException

      Throws:
        `XMLException`

    - #### declineInvitation

          public void declineInvitation(MucModule.Invitation invitation,
                                        String reasonMsg)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Returns:
        array of features

    - #### getRooms

          public Collection<Room> getRooms()

    - #### getRoom

          public Room getRoom(BareJID roomJid)

    - #### invite

          public void invite(Room room,
                             JID inviteeJID,
                             String reason)
                      throws JaxmppException

      Sends mediated invitation.
      Parameters:
        `room` - MUC room
        `inviteeJID` - invitee JabberID
        `reason` - reason description
      Throws:
        `JaxmppException`

    - #### inviteDirectly

          public void inviteDirectly(Room room,
                                     JID inviteeJID,
                                     String reason,
                                     String threadId)
                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### join

          public Room join(MucModule.Invitation invitation,
                           String nickname)
                    throws XMLException,
                           JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### join

          public Room join(String roomName,
                           String mucServer,
                           String nickname)
                    throws XMLException,
                           JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### join

          public Room join(String roomName,
                           String mucServer,
                           String nickname,
                           String password)
                    throws XMLException,
                           JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### leave

          public void leave(Room room)
                     throws XMLException,
                            JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### onConnectorStateChanged

          protected void onConnectorStateChanged(SessionObject sessionObject,
                                                 Connector.State oldState,
                                                 Connector.State newState)
                                          throws XMLException,
                                                 JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### onNetworkDisconnected

          protected void onNetworkDisconnected()
                                        throws XMLException,
                                               JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### onSessionObjectCleared

          protected void onSessionObjectCleared(SessionObject sessionObject,
                                                Set<SessionObject.Scope> scopes)
                                         throws JaxmppException

      Throws:
        `JaxmppException`

    - #### process

          public void process(Stanza element)
                       throws JaxmppException

      Description copied from class: `AbstractStanzaModule`
      Method for processing incoming stanza.
      Specified by:
        `process` in class `AbstractStanzaModule<Stanza>`
      Throws:
        `JaxmppException`

    - #### processDirectInvitationMessage

          protected void processDirectInvitationMessage(Message message)
                                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processInvitationDeclinedMessage

          protected void processInvitationDeclinedMessage(Message message)
                                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processMediatedInvitationMessage

          protected void processMediatedInvitationMessage(Message message)
                                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processMessage

          protected void processMessage(Message message)
                                 throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processPresence

          protected void processPresence(Presence element)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getRoomConfiguration

          public void getRoomConfiguration(Room room,
                                           AsyncCallback asyncCallback)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setRoomConfiguration

          public void setRoomConfiguration(Room room,
                                           JabberDataElement configuration,
                                           AsyncCallback asyncCallback)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.